Subject: Re: [MOBILE-IP] Experiences with the Aironet/Wavelan drivers

From: "Moelard, Henri (Henri)" <[email-masked]>
Date: Thu, 25 Nov 1999 17:48:52 +0100

During interoperability testing at the UNH IOL the Aironet and WaveLAN Turbo
11 Mb (and a couple of other 802.11b) products were proven to be
interoperable. (See
http://www.iol.unh.edu/consortiums/wireless/hrdsss_aug99gtp.html )
The few minor problems that popped up have been resolved and retested
successfully afterwards.
However, I understand you are using drivers that are not provided by Aironet
and Lucent.
For the WaveLAN cards, the Ethernet-II encapsulation according 802.1H (i.e.
Bridge Tunnel for selected protocols, else RFC1042) is to be done in the
driver. The WavePOINT access point also does the en/decapsulation when
forwarding frames between Ethernet and 802.11.
You may indeed want to verify that your drivers implement the encapsulation
correctly.

Regards.
        Henri  ([email-masked])

> ----------
> From:         Theo PAGTZIS[SMTP:[email-masked]]
> Reply To:     Theo PAGTZIS
> Sent:         woensdag 24 november 1999 19:43
> To:   [email-masked]
> Subject:      Re: [MOBILE-IP] Experiences with the Aironet/Wavelan drivers
>
> Francis,
>
>   thanks for your response. I though that it may be beneficial for the
> rest to
> listen to that.
>
> I have tried to get the Aironet interfaces to talk to a WavelanII
> interface
> through a WavePointII AP (Lucent)...guess what I could ping from the
> WavelanII
> interface the Aironet one but not vice versa. I also tried to telnet and
> ftp
> and the login went ok...when I tried simple things like ls or cd then I
> did
> not get any echos back leaving me to believe that the aironet default to a
> different encapsulation method than the WavePoint can understand...by the
> way
> the aironet driver should in theory be able to do 802.1H or RFC1042..but
> when
> it came to verifying that through the Aironet BS the interface simply
> failed..
>
> I did not want to get down to Bridge config since I was trying to get the
> essentials up first..
>
> Regards
>
> Theo
> [email-masked]
>

---

From: Theo PAGTZIS <[email-masked]>
Date: Thu, 25 Nov 1999 18:37:53 +0000

Moelard,

   Your response is much appreciated. I would have to emphasise here that my
tests that are NOT on Windows boxes. They are under FreeBSD and Linux.

Although I amkeen in Fbsd I hate to say that linux has got the drivers there
and they are working..how well is a different story in terms of throughput..So
any behaviour that I describe is under these OS and not Windows.

I would also appreciate if you could let us know if your new card (gold) is
using the prismII chipset and whether that incurs a different firmaware. If
that is the case then I would imagine that at least for Freebsd that could
render the existing drivers as inoperable (at least for the time being...).

Theo

-----------------------------------------

Theodore Pagtzis
Networked Mmedia & Mobile Systems Group
Dept of Computer Science
University College London

-----------------------------------------